/*----------------------------------------------------------------------
/* Bootstrap overrides
/*---------------------------------------------------------------------*/

/* Top Navigation */

.navbar .brand-image {
  margin-top: -10px;
  margin-bottom: -10px;
}

.navbar .dropdown-toggle img {
  width: 23px;
  height: 23px;
  margin-top: -3px;
  margin-bottom: -2px;
}
.swal-confirm-green {
  background-color: #4CAF50 !important; 
  color: white !important;
  border: none;
}

/* Side Navigation */

.sidenav > li > a {
  padding: 5px 15px;
}

/* Make sure that we're always taking up enough space on the screen. */
/* ToDo: This shouldn't be necessary once we have all the content in place. */

html, body, .container {
  height: 85%;
}

/*----------------------------------------------------------------------
 * Common styles
 *---------------------------------------------------------------------*/

/* Typography */

.centered {
  text-align: center;
}

.bold {
  font-weight: bold;
}

.underline {
  text-decoration: underline;
}

.summary {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.table_row_selected {
  background-color: darkgray !important;
  font-weight: bold;
}

/* Layout */

body {
  padding-top: 70px;
}

.block {
  display: block;
}

/*----------------------------------------------------------------------
 * Widgets
 *---------------------------------------------------------------------*/

/* User online indicator */

.online-indicator {
  background-color: lightgrey;
  height: 7px;
  width: 7px;
  border-radius: 4px;
  display: inline-block;
  margin-right: -1px;
  margin-left: 1px;
  margin-bottom: 1px;
}

.content-wrapper {
  width: 100%;
  height: calc(100vh - 50px);
  position: relative;
  margin-top: 50px;
  float: left;
}

.ngview-container {
  overflow-x: hidden; 
  overflow-y: auto;
  height: 100%;
  float: left;
  z-index: 10;
}

.navbarColor {
  background-color: white;
}

.navbarColorDark {
  background-color: black;
}

.mainBody {
  background-color: #f5f5f5;
}

.mainBodyDark {
  background-color: #2b2b2b;
}

.navCollapsedWidth {
  width: 50px;
}
.navExpandedWidth {
  width: 16vw;
}

.contentNavCollapsedWidth {
  width: calc(100vw - 50px);
}

.contentNavExpandedWidth {
  width: max(84vw, calc(100vw - 250px));
}

.sidebar {
  background-color: #fcfcfc;
  border: none;
}

.sidebar_dark {
  background-color: #141414;
  border: none;
}

.nav-shadow {
  -webkit-box-shadow: 0px 2px 12px -4px rgba(0, 0, 0, 0.15);
  -moz-box-shadow: 0px 2px 12px -4px rgba(0, 0, 0, 0.15);
  box-shadow: 0px 2px 12px -4px rgba(0, 0, 0, 0.15);
}

.sidenav-shadow {
  -webkit-box-shadow: 2px 2px 12px -4px rgba(0, 0, 0, 0.15) !important;
  -moz-box-shadow: 2px 2px 12px -4px rgba(0, 0, 0, 0.15) !important;
  box-shadow: 2px 2px 12px -4px rgba(0, 0, 0, 0.15) !important;
}

.post {
  margin-top: 0;
  padding-top: 5px;
  display: flex;
  flex-direction: column;
  border-color: #ddd;
  border-width: 1px;
  border-radius: 4px 4px 0 0;
  border-style: solid;
  min-height: calc(100% - 80px);
  /* background-color: #f8f8f8; */
  background-color: rgba(0, 0, 0, 0);
}

.mainTitle {
  font-weight: bold;
  font-size: 20px;
  color: #3174AF;
  margin-top: 10px;
  margin-bottom: 6px;
  min-height: 30px;
  cursor: default;
}

.pageblur {
  filter: blur(1.5px);
}

.change_password_shadow {
  -webkit-box-shadow: 3px 3px 10px 5px rgba(0,0,0,0.25); 
  box-shadow: 3px 3px 10px 5px rgba(0,0,0,0.25);
}

.mainPage {
  width: 100%; 
  height: 100%;
  border: none;
  overflow-y: auto;
  overflow-x: hidden;
}

.dropDownAlt {
  background-color: white;
  border: 1px solid;
  border-color: #000 !important;
}

.dropDownLabelBGDark {
  background-color: rgb(22, 22, 22) !important;
}

.dropDownLabelBG {
  background-color: rgb(225, 225, 225) !important;
}

.new_input {
  width: 100%; 
  height: 40px;
  border-radius: 5px;
  outline: none;
  border: 1px solid;
  border-color: black;
  color: #000;
  text-indent:5px!important;
  border-radius: 0px 5px 5px 0px !important;
}

.search_input {
  width: 100%; 
  height: 50px;
  border-radius: 5px;
  outline: none;
  border: 1px solid;
  border-color: black;
  color: #000;
  text-indent:5px!important;
}

.headerRow {
  padding-top: 4px; 
  padding-bottom: 3px; 
  background-color: #3174AF;
  color: white;
  font-weight: bold;
  font-size: 14px;
  /*height: 35px; */
  margin-top: 5px;
}

.headerRow2 {
  padding-top: 4px; 
  padding-bottom: 3px; 
  background-color: #3174AF;
  color: white;
  font-weight: bold;
  font-size: 13px;
  height: 25px; 
  margin-top: 5px;
}

.headerRow3 {
  padding-top: 4px; 
  padding-bottom: 3px; 
  background-color: #3174AF;
  color: white;
  font-weight: bold;
  font-size: 14px;
}

.headerRow3:hover {
  background-color: #3174af;
}

.headerCols {
  width: 100%; 
  display: flex; 
  align-items: center; 
  height: 100%;
}

.def-cursor {
  cursor: default;
}

.headerRowPadded {
  padding-top: 10px;
  padding-bottom: 10px;
}

  .visitor-list {
    align-content: center;
  }

  .tabs {
    display: flex;
    border-bottom: 2px solid #ccc;
  }

  .tab {
    padding: 10px 20px;
    cursor: pointer;
    border: none;
    background-color: transparent;
    font-size: 16px;
    margin-right: 5px;
    border-radius: 5px 5px 0 0;
  }

  .tab:hover {
    background-color: #f0f0f0;
  }

  .tab.active {
    background-color: #3174AF;
    color: white;
    font-weight: bold;
  }

  .tab-content {
    border: 1px solid #ccc;
    border-top: none;
  }

  .tab-content-footer {
    padding: 20px;
  }

  .input-group-addon {
    min-width:110px;
    text-align:left;
    cursor: default;
    background-color: gainsboro;
    color: black;
    height: 28px;
    border: 0;
  }

  .profile-pic-small {
    width: 25px;
    height: 25px;
    border-radius: 50%;
  }

  .visitor-list-item {
      height: 35px;
      cursor: pointer;
      align-content: center;
  }

  .visitor-list-item:hover {
      background-color: rgba(188, 188, 188, 0.15);
  }

  .iga-extra {
    height: 35px !important;
  }

  .header-field {
    height: 28px; 
    min-width: 210px;
    color: black;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
  }

  .hf-extra {
    height: 35px !important; 
    text-indent: 5px !important; 
    min-width: 180px !important;
  }

  .hf-extra-small {
    height: 35px !important; 
    text-indent: 5px !important; 
    min-width: 120px !important;
  }

  .hf-extra-small1 {
    height: 35px !important; 
    text-indent: 5px !important; 
    min-width: 120px !important;
    max-width: 140px !important;
  }

  .hf-extra-xs {
    height: 35px !important; 
    text-indent: 5px !important; 
    min-width: 70px !important;
  }

  .hf-extra-list {
    height: 235px !important; 
    text-indent: 5px !important; 
    min-width: 800px !important;
  }

  .hf-extra-full {
    height: 35px !important; 
    text-indent: 5px !important; 
    width: 100% !important;
  }

  .colmd-extra {
    margin-top: 2px !important; 
    margin-bottom: 2px !important;
  }

  .colmd-label-extra {
    margin-top: 8px !important; 
    margin-bottom: 5px !important;
    cursor: default;
  }

  .colmd-button-extra {
    margin-top: 6px !important; 
    margin-bottom: 4px !important;
  }

.even {
  background-color: rgba(238, 238, 238, 0.979);
}

.even_dark {
  background-color: rgb(32, 32, 32) !important;
}

a {
  color: #06c;
}
a:focus {
  outline: thin dotted;
}
a:hover,
a:focus {
  color: #004080;
}
a:hover,
a:active {
  outline: 0;
}

.offline_status {
  color: red !important;
}

.online_status {
  color: green !important;
}
.pending_status {
  color: #17a2b8 !important
}

.editPageSaveWrapper {
  width: 100%;
  height: 80px;
  position: sticky;
  bottom: 0px;
  right: 0px;
  display: flex;
  align-items: center;
  z-index: 60;
}

.savePanelBg {
  background-color: #ececec83;
}

.savePanelBgDark {
  background-color: #13131383;
}


.mainTitleInherit {
  font-weight: bold;
  font-size: 18px;
  margin-bottom: 6px;
  cursor: default;
}

.secondaryTitle {
  font-weight: bold;
  color: #3174AF;
  font-size: 16px;
  cursor: default;
  margin-bottom: 4px;
}

.secondaryTitleDark {
  font-weight: bold;
  font-size: 16px;
  color: white;
  cursor: default;
  margin-bottom: 4px;
}

.tertiaryTitle {
  font-weight: bold;
  font-size: 14px;
  color: #3174AF;
  margin-top: 3px;
  cursor: default;
}

.sectionTitle {
  font-weight: bold;
  font-size: 14px;
  color: black;
  margin-top: 3px;
  cursor: default;
}

.sectionTitleLite {
  font-size: 14px;
  color: black;
  margin-top: 3px;
  cursor: default;
}

.tertiaryTitleDark {
  font-weight: bold;
  font-size: 14px;
  color: white;
  margin-top: 3px;
  cursor: default;
}

.swal-modal .swal-text {
  text-align: center;
}

.flex-column{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}
.flex-row {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}
.expand{
  flex-grow: 1;
}
.divider{
  height: 0;
  border-bottom: 2px solid black;
  flex-grow: 1;
}
.kiosk-item{
  font-size: large;
  width: 400px;
  margin-bottom: 10px;
}
h1.kiosk-item{
  text-align: center;
  font-size: xx-large;
  width: 450px;
  margin-bottom: 50px;
}

.stickySaveChanges {
  position: sticky;
  bottom: 0;
  z-index: 10;
  backdrop-filter: blur(5px);
  height: 75px;
  display: flex; 
  align-items: center; 
  border-top: 1px solid rgb(173, 173, 173);
}
/* ---------- Multi-Selector ---------- */

.multisel-group {
  /* background-color: red; */
  height: 100%;
  width: 100%;
  position: relative;
  display: flex;
  border-collapse: separate;
  /* line-height: 1; */
  min-height: 40px;
  overflow: hidden;
  padding: 0;
  margin: 0px;
  border-radius: 5px;
  border: 1px solid;
  border-color: #000 !important;
  background-color: #fff;
}

.multisel-group-addon {
  padding: 6px 12px;
  font-size: 14px;
  font-weight: 400;
  /* line-height: 1; */
  color: #555555;
  text-align: center;
  background-color: #eeeeee;
  /* border: 1px solid #000; */
  /* border-radius: 4px; */
  width: fit-content;
  height: 100% !important;
  min-height: 40px;
  border-right: 1px solid #000;
  display: flex;
  align-items: center;
}

.multisel-group-sel {
  flex: 1;
  height: 100%;
  min-width: 10px;
  width: auto;
  min-height: 40px;
  position: relative;
  display: flex;
  align-items: center;
  padding-left: 10px;
  padding-right: 10px;
  cursor: pointer;
}

.multisel-group-sel-ico {
  position: absolute;
  right: 10px;
  font-size: medium;
  color: #000000c2;
}

.ellipsis-text {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  cursor: default;
}

.options-button {
  cursor: pointer;
}

.options-button:hover {
  color: #3174AF;
}

.input-label {
  background-color: rgb(49, 116, 175) !important; 
  color: white !important;
}

.table-container {
    position: relative;
}

.image-overlay {
    position: absolute;
    top: 0;
    left: -200px;
    z-index: 1000;
    display: none;
    border: 1px solid #ccc;
    background-color: white;
    padding: 5px;
    box-shadow: 0 0 10px rgba(0,0,0,0.3);
}

.icon-hover-area:hover + .image-overlay {
    display: block;
}

.icon-placeholder {
  padding-left: 1px;
  padding-right: 1px;
}

input[type="date"].custom-date::-webkit-inner-spin-button,
input[type="date"].custom-date::-webkit-calendar-picker-indicator {
    display: none;
    -webkit-appearance: none;
}

.custom-swal {
  width: auto;
}

.content-to-save{
  min-height: calc(100% - 95px);
}

.loggoutStyleDark a {
  color: red !important;
}
.loggoutStyle a {
  color: red !important;
}
.loggoutStyleDark a:hover {
  background-color: #cf050c !important;
  color: white !important;
}
.loggoutStyle a:hover {
  background-color: red !important;
  color: white !important;
}

/* ------------------------------------- */
